`sm.lowess` <-
function(y, x = NULL, w = 5)  {
  res <- rep(NA, length(y))
  idx.nona <- which(!is.na(y))
  if(!is.null(x))  {
    res[idx.nona] <- lowess(x = x[idx.nona], y = y[idx.nona],
                            f = w / length(idx.nona), delta = 0)$y
  }
  else  {
    res[idx.nona] <- lowess(x = y[idx.nona],
                            f = w / length(idx.nona), delta = 0)$y
  }
  return(res)
}

